<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XFacInfo StructType
 * @subpackage Structs
 */
class XFacInfo extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The code
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $code;
    /**
     * The authorizationLevel
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $authorizationLevel;
    /**
     * Constructor method for XFacInfo
     * @uses XFacInfo::setName()
     * @uses XFacInfo::setCode()
     * @uses XFacInfo::setAuthorizationLevel()
     * @param string $name
     * @param string $code
     * @param string $authorizationLevel
     */
    public function __construct($name = null, $code = null, $authorizationLevel = '0')
    {
        $this
            ->setName($name)
            ->setCode($code)
            ->setAuthorizationLevel($authorizationLevel);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFacInfo
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get code value
     * @return string
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFacInfo
     */
    public function setCode($code = null)
    {
        $this->code = $code;
        return $this;
    }
    /**
     * Get authorizationLevel value
     * @return string
     */
    public function getAuthorizationLevel()
    {
        return $this->authorizationLevel;
    }
    /**
     * Set authorizationLevel value
     * @param string $authorizationLevel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFacInfo
     */
    public function setAuthorizationLevel($authorizationLevel = '0')
    {
        $this->authorizationLevel = $authorizationLevel;
        return $this;
    }
}
